LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   AMD prop. driver - missing kernel headers? (http://www.linuxquestions.org/questions/slackware-14/amd-prop-driver-missing-kernel-headers-4175442853/)

buradd 12-24-2012 11:45 PM

AMD prop. driver - missing kernel headers?
 
Hi guys,

I was able to install amd catalyst driver 12.10 on a fresh slackware 14.0 install.. but when upgrading to slackware current and receiving kernel 3.7.1, the amd driver installer says it cant find the version.h file, ie. kernel headers. I tried recompiling a fresh 3.7.1 download following alien's compile from source guide but it still seems to be missing kernel headers.. is there something that I can run to fix this?

thank you!
buradd

willysr 12-25-2012 01:09 AM

Try this
Quote:

ln -s /usr/src/linux-3.7.1/include/generated/uapi/linux/version.h /usr/src/linux-3.7.1/include/linux/version.h

buradd 12-25-2012 12:53 PM

Quote:

Originally Posted by willysr (Post 4856415)
Try this

i think it may be an issue with the new 3.7.1 kernel itself and the amd proprietary driver installer..
after making the symbolic link you mentioned, the installer got further in the process, but still failed to build in the end

is it safe to upgrade to current but skip the kernel upgrade and keep the gcc 4.7.2?

buradd 12-25-2012 03:55 PM

i found this post here http://forums.opensuse.org/english/g...cy-driver.html
it isnt for slackware but its the same problem and I'm going to try the fix

buradd 12-26-2012 12:23 AM

Quote:

Originally Posted by buradd (Post 4856702)
i found this post here http://forums.opensuse.org/english/g...cy-driver.html
it isnt for slackware but its the same problem and I'm going to try the fix

cant quite seem to figure out how i would apply this fix.. =\

igorstravinsky 12-26-2012 06:28 PM

I looked at the opensuse solution and I found this approach which worked just fine for me. I'm running Catalyst 12.10 and Slackware -current (kernel version 3.7.1). Hope this helps.

Steam discussion: http://steamcommunity.com/app/221410...8351042544038/

buradd 12-26-2012 08:25 PM

Quote:

Originally Posted by igorstravinsky (Post 4857367)
I looked at the opensuse solution and I found this approach which worked just fine for me. I'm running Catalyst 12.10 and Slackware -current (kernel version 3.7.1). Hope this helps.

Steam discussion: http://steamcommunity.com/app/221410...8351042544038/

fabulous, this is how I can edit the firegl_public.c ... thank you!

you were having the same issue I take it?

buradd 12-26-2012 11:03 PM

Quote:

Originally Posted by igorstravinsky (Post 4857367)
I looked at the opensuse solution and I found this approach which worked just fine for me. I'm running Catalyst 12.10 and Slackware -current (kernel version 3.7.1). Hope this helps.

Steam discussion: http://steamcommunity.com/app/221410...8351042544038/

so this worked for compiling the amd 12.10 driver.. i still had to create a symlink to version.h.. i wonder why it wasn't set during the slackpkg upgrade?

willysr 12-27-2012 02:28 AM

It was a relocation done upstream, so there's nothing wrong with Pat's package

igorstravinsky 12-29-2012 08:06 PM

Yeah, I should be thanking you. I was beating my head against the wall until I saw your post w/the link to the SUSE forum. :)


All times are GMT -5. The time now is 06:38 PM.